package com.neusoft.smart.pos.trade.persistent.mapper;

import com.neusoft.smart.pos.trade.persistent.domain.BillSettlementRuleDetail;
import com.neusoft.smart.pos.trade.persistent.domain.BillSettlementRuleDetailExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface BillSettlementRuleDetailMapper {
    int countByExample(BillSettlementRuleDetailExample example);

    int deleteByExample(BillSettlementRuleDetailExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(BillSettlementRuleDetail record);

    int insertSelective(BillSettlementRuleDetail record);

    List<BillSettlementRuleDetail> selectByExample(BillSettlementRuleDetailExample example);

    BillSettlementRuleDetail selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") BillSettlementRuleDetail record, @Param("example") BillSettlementRuleDetailExample example);

    int updateByExample(@Param("record") BillSettlementRuleDetail record, @Param("example") BillSettlementRuleDetailExample example);

    int updateByPrimaryKeySelective(BillSettlementRuleDetail record);

    int updateByPrimaryKey(BillSettlementRuleDetail record);

    void batchInsert(@Param("items") List<BillSettlementRuleDetail> items);
}